Subject: Re: Emacs for win95 and RCS

From: Lansdowne <[email-masked]>
Date: Fri, 17 Jan 1997 15:56:40 +0000

In message <[email-masked]>, Geoff
Voelker <[email-masked]> writes
>Rich,
>
>It could have something to do with the way arguments are being
>passed to diff as a subprocess.  Try placing the following in
>your startup file and see if it makes any difference:
>
>(setq win32-quote-process-args t)
>
>-geoff

sorry, but that did not help at all!
Any ideas?

Have you got RCS going on Win95 at all or do you use NT?
- I was just wondering if anyone knows if it works on Win95.

I have also had some problems with recover-session.  It seemed to find
the file ok in ~/_saves....  but when I types C-c C-c on the relevant
filename it looked in emacs/bin/_saves... I have just changed the
variable for the prefix to make the autosave list get plased in the bin
directory to see if it makes any difference.

Thanks,

-Rich.
>
>[email-masked] writes:
>> 
>> I have got things up and running fairly well but I have a small problem
>> with getting RCS going.  I wonder if you can help?
>> 
>> I installed a pre-compiled version of 19.34.
>> I downloaded the RCS pointed to in your webpage and also the gnu diff.
>> For ease I placed the executables for both the RCS and diff into the
>> emacs/bin directory.
>> 
>> I tried a small test file, registering, checking out, editing and
>> checking in.  Everything went fine until the checkin.  For some reason
>> it reports an unknown problem with running diff.
>> 
>> I have tried running diff from the command line and it seems to work ok.
>> 
>> Have I done something stupid in the installation so that it can't find
>> the correct file?
>> 
>> Here is a copy of my message buffer and the vc buffer.
>> 
>> 
>> *Messages*
>> Loading vc...
>> Loading derived...
>> Loading derived...done
>> Loading vc...done
>> Registering c:/rjl/temp.txt...
>> Registering c:/rjl/temp.txt...done
>> Note: file is write protected
>> Checking out c:/rjl/temp.txt...
>> Checking out c:/rjl/temp.txt...done
>> Wrote c:/rjl/temp.txt
>> Running rcsdiff...FAILED (status 2)
>> Enter a change comment.  Type C-c C-c when done.
>> Checking in c:/rjl/temp.txt...
>> Running ci...FAILED (status 1)
>> 
>> 
>> *vc*
>> c:/rjl/RCS/temp.txt,v  <--  temp.txt
>> new revision: 1.2; previous revision: 1.1
>> ci: diff.exe failed for unknown reason
>> ci aborted
>> 
>> 
>> Can you help?
>> 
>> Thanks a lot,
>>                 Rich.
>> 
>> ------------------------------------------------------------------------
>> Richard Lansdowne                              
>>                                                Acapella Ltd
>> Email: [email-masked]                Epsilon House
>> WWW:   http://www.acapella.co.uk               Chilworth Research Centre
>> Phone: +44 (0)1703 769008                      Southampton
>> Fax:   +44 (0)1703 768612                      SO16 7NP
>> Mobile: +44 (0)468 456299                      ENGLAND
>

------------------------------------------------------------------------
Richard Lansdowne                              
                                               Acapella Ltd
Email: [email-masked]                Epsilon House
WWW:   http://www.acapella.co.uk               Chilworth Research Centre
Phone: +44 (0)1703 769008                      Southampton
Fax:   +44 (0)1703 768612                      SO16 7NP
Mobile: +44 (0)468 456299                      ENGLAND